/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#ifndef _CAM_CAPACITY_TYPE_H_
#define _CAM_CAPACITY_TYPE_H_


#ifdef __cplusplus
extern "C" {
#endif // #ifdef __cplusplus


// Resolution
#define CAM_CP_SIZE_176X144						0x00000001
#define CAM_CP_SIZE_320X240						0x00000002
#define CAM_CP_SIZE_400X240						0x00000004
#define CAM_CP_SIZE_640X480						0x00000008
#define CAM_CP_SIZE_720X480						0x00000010
#define CAM_CP_SIZE_800X480						0x00000020
#define CAM_CP_SIZE_800X600						0x00000040
#define CAM_CP_SIZE_1280X960					0x00000080
#define CAM_CP_SIZE_1280X720					0x00000100
#define CAM_CP_SIZE_1392X1392					0x00000200
#define CAM_CP_SIZE_1600X1200					0x00000400
#define CAM_CP_SIZE_1920X1080					0x00000800
#define CAM_CP_SIZE_2048X1152					0x00001000
#define CAM_CP_SIZE_2048X1536					0x00002000
#define CAM_CP_SIZE_2800X1920					0x00004000
#define CAM_CP_SIZE_2560X1440					0x00008000
#define CAM_CP_SIZE_2560X1536	 				0x00010000
#define CAM_CP_SIZE_2560X1920					0x00020000
#define CAM_CP_SIZE_3264X1836 					0x00040000
#define CAM_CP_SIZE_3264X1960 					0x00080000
#define CAM_CP_SIZE_3264X2176	 				0x00100000
#define CAM_CP_SIZE_3264X2448	 				0x00200000

// White balance
#define CAM_CP_WB_AUTO						0x00000001
#define CAM_CP_WB_DAYLIGHT					0x00000002
#define CAM_CP_WB_INCANDESCENT				0x00000004
#define CAM_CP_WB_FLUORESCENT				0x00000008
#define CAM_CP_WB_CLOUDY					0x00000010
#define CAM_CP_WB_CUSTOM					0x00000020
#define CAM_CP_WB_SHADE						0x00000040
#define CAM_CP_WB_FLASH						0x00000080
#define CAM_CP_WB_HORIZON					0x00000100

// Scene mode
#define CAM_CP_SCENE_MODE_AUTO				0x00000001
#define CAM_CP_SCENE_MODE_PORTRAIT			0x00000002
#define CAM_CP_SCENE_MODE_SPORTS			0x00000004
#define CAM_CP_SCENE_MODE_PARTY_AND_INDOOR	0x00000008
#define CAM_CP_SCENE_MODE_BEACH_AND_SNOW	0x00000010
#define CAM_CP_SCENE_MODE_SUNSET			0x00000020
#define CAM_CP_SCENE_MODE_DUSK_AND_DAWN		0x00000040
#define CAM_CP_SCENE_MODE_NIGHTSHOT			0x00000080
#define CAM_CP_SCENE_MODE_FALLCOLOR			0x00000100
#define CAM_CP_SCENE_MODE_FIREWORK			0x00000200
#define CAM_CP_SCENE_MODE_CANDLE_LIGHT		0x00000400
#define CAM_CP_SCENE_MODE_BACK_LIGHT		0x00000800
#define CAM_CP_SCENE_MODE_LANDSCAPE			0x00001000
#define CAM_CP_SCENE_MODE_TEXT				0x00002000
#define CAM_CP_SCENE_MODE_SHOW_WINDOW		0x00004000

// EFFECT
#define CAM_CP_EFFECT_NONE						0x00000001
#define CAM_CP_EFFECT_SEPIA						0x00000002
#define CAM_CP_EFFECT_NEGATIVE					0x00000004
#define CAM_CP_EFFECT_MONO						0x00000008
#define CAM_CP_EFFECT_CARTOON					0x00000010
#define CAM_CP_EFFECT_WASHED					0x00000020
#define CAM_CP_EFFECT_SELECTIVE_RED_YELLOW		0x00000040
#define CAM_CP_EFFECT_SELECTIVE_BLUE			0x00000080
#define CAM_CP_EFFECT_SELECTIVE_GREEN 			0x00000100
#define CAM_CP_EFFECT_SOLAR						0x00000200
#define CAM_CP_EFFECT_POSTERIZATION				0x00000400
#define CAM_CP_EFFECT_VINTAGE_WARM				0x00000800
#define CAM_CP_EFFECT_VINTAGE_COLD				0x00001000


// ISO
#define CAM_CP_ISO_AUTO							0x00000001
#define CAM_CP_ISO_50							0x00000002
#define CAM_CP_ISO_100							0x00000004
#define CAM_CP_ISO_200							0x00000008
#define CAM_CP_ISO_400							0x00000010
#define CAM_CP_ISO_800							0x00000020
#define CAM_CP_ISO_1600							0x00000040
#define CAM_CP_ISO_3200							0x00000080

// FLASH
#define CAM_CP_FLASH_AUTO					0x00000001
#define CAM_CP_FLASH_ON						0x00000002
#define CAM_CP_FLASH_OFF					0x00000004
#define CAM_CP_FLASH_REDEYE					0x00000008
#define CAM_CP_FLASH_SLOW_SYNC				0x00000010
#define CAM_CP_FLASH_FRONT_CURTAIN			0x00000020
#define CAM_CP_FLASH_REAR_CURTAIN			0x00000040
#define CAM_CP_FLASH_PERMANENT				0x00000080

// METERING
#define CAM_CP_METERING_MATRIX					0x00000001
#define CAM_CP_METERING_SPOT					0x00000002
#define CAM_CP_METERING_CENTERWEIGHT			0x00000004

// SHOT MODE
#define CAM_CP_SHOT_MODE_SINGLE				0x00000001

// REC MODE
#define CAM_CP_REC_MODE_NORMAL				0x00000001
#define CAM_CP_REC_MODE_MMS					0x00000002
#define CAM_CP_REC_MODE_SLOW_MOTION			0x00000004
#define	CAM_CP_REC_MODE_FAST_MOTION			0x00000008

// FOCUS
#define CAM_CP_FOCUS_NONE						0x00000001
#define CAM_CP_FOCUS_AUTO_FOCUS					0x00000002
#define CAM_CP_FOCUS_CAF						0x00000004
#define CAM_CP_FOCUS_FACE_DETECTION				0x00000008
#define CAM_CP_FOCUS_MACRO						0x00000010
#define CAM_CP_FOCUS_TOUCH_AF					0x00000020


// FPS
#define CAM_CP_FPS_AUTO						0x00000001
#define CAM_CP_FPS_8						0x00000002
#define CAM_CP_FPS_15						0x00000004
#define CAM_CP_FPS_24						0x00000008
#define CAM_CP_FPS_25						0x00000010
#define CAM_CP_FPS_30						0x00000020
#define CAM_CP_FPS_60						0x00000040
#define CAM_CP_FPS_120						0x00000080

// FUNCTION
#define CAM_CP_FUNC_BURST_SHOT_MODE	0x00000001
#define CAM_CP_FUNC_SELF_MODE		0x00000002
#define CAM_CP_FUNC_FLASH_MODE		0x00000004
#define CAM_CP_FUNC_SHOT_MODE		0x00000008
#define CAM_CP_FUNC_REC_MODE		0x00000010
#define	CAM_CP_FUNC_SCENE_MODE		0x00000020
#define CAM_CP_FUNC_EXPOSURE		0x00000040
#define CAM_CP_FUNC_FOCUS_MODE		0x00000080
#define CAM_CP_FUNC_EFFECT_MODE		0x00000100
#define CAM_CP_FUNC_CAM_RESOLUTION	0x00000200
#define CAM_CP_FUNC_REC_RESOLUTION	0x00000400
#define CAM_CP_FUNC_WHITE_BALANCE 	0x00000800
#define	CAM_CP_FUNC_ISO				0x00001000
#define CAM_CP_FUNC_METERING		0x00002000
#define CAM_CP_FUNC_CAM_ANS			0x00004000
#define	CAM_CP_FUNC_REC_ANS			0x00008000
#define	CAM_CP_FUNC_OUTDOOR			0x00010000
#define CAM_CP_FUNC_AUTO_CONTRAST	0x00020000
#define CAM_CP_FUNC_CAPTURE_VOICE	0x00040000
#define CAM_CP_FUNC_GPS				0x00080000
#define CAM_CP_FUNC_STORAGE			0x00100000
#define CAM_CP_FUNC_ZOOM			0x00200000
#define	CAM_CP_FUNC_BRIGHTNESS		0x00400000
#define CAM_CP_FUNC_FPS				0x00800000
#define CAM_CP_FUNC_SAVE_AS_FLIP    0x01000000

#define CAM_CP_FUNC_COUNT			25
// LCD
#define CAM_CP_LCD_NORMAL				0x00000001
#define CAM_CP_LCD_WIDE					0x00000002


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _CAM_CAPACITY_TYPE_H_


