/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _CAM_SOUND_H_
#define _CAM_SOUND_H_

#include <glib.h>

#define SOUND_PATH                                    "/usr/ug/res/sounds/ug-camera-efl/sounds"

enum _CamSoundEffect {
	CAM_SOUND_EFFECT_SHUTTER1,
	CAM_SOUND_EFFECT_SHUTTER2,
	CAM_SOUND_EFFECT_SHUTTER3,
	CAM_SOUND_EFFECT_CONTINUOUS_SHUTTER,
	CAM_SOUND_EFFECT_CONTINUOUS_READY,
	CAM_SOUND_EFFECT_REC_START1,
	CAM_SOUND_EFFECT_REC_START2,
	CAM_SOUND_EFFECT_REC_START3,
	CAM_SOUND_EFFECT_REC_PAUSE,
	CAM_SOUND_EFFECT_REC_RESUME,
	CAM_SOUND_EFFECT_REC_CANCEL,
	CAM_SOUND_EFFECT_REC_COMMIT1,
	CAM_SOUND_EFFECT_REC_COMMIT2,
	CAM_SOUND_EFFECT_REC_COMMIT3,
	CAM_SOUND_EFFECT_TICK,
	CAM_SOUND_EFFECT_AF_OK,
	CAM_SOUND_EFFECT_AF_FAIL,
	CAM_SOUND_EFFECT_NUM,
};

gboolean cam_sound_init(GError **error);
void cam_sound_finalize(void);
void cam_sound_set(int index, const gchar *file);
const gchar *cam_sound_get(int index);
gboolean cam_sound_is_silent_mode(void);
/*change audio rute api */
gboolean cam_sound_set_mic();
gboolean cam_sound_play(int index, void *data);

#endif /*_CAM_SOUND_H_*/
