/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __CAM_VOICE_COMMAND_H__
#define __CAM_VOICE_COMMAND_H__

#include "glib.h"

typedef enum {
	CAM_VIOCE_CMD_MIN,
	CAM_VOICE_CMD_READY,
	CAM_VOICE_CMD_REJECT,
	CAM_VOICE_CMD_ERROR,
	CAM_VOICE_CMD_MAX
}CamVoiceCmdState;


typedef void (*cam_voice_cmd_cb)(CamVoiceCmdState state, void* data);

gboolean cam_voice_cmd_create(cam_voice_cmd_cb cmd_cb, void *data);
void cam_voice_cmd_destroy();

#endif

